Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Qizx/open 4.1 API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.qizx.api.util
Class NodeXMLReader

    java.lang.Object
      com.qizx.api.util.NodeXMLReader

All Implemented Interfaces:
  XMLReader

    public class NodeXMLReader

extends Object
implements XMLReader

Allows a Node to be used as a source of SAX events.

The parse methods traverse the sub-tree of the node and generate SAX events. The specified input is ignored.

Constructor Summary
`NodeXMLReader(Node rootNode)` Builds a NodeXMLReader with a Node as a source.

Method Summary
`ContentHandler` | `getContentHandler()`
`DTDHandler` | `getDTDHandler()`
`EntityResolver` | `getEntityResolver()`
`ErrorHandler` | `getErrorHandler()`
`boolean` | `getFeature(String name)`
`Object` | `getProperty(String name)`
`void` | `parse(InputSource inputSource)` Re-implementation of `XMLReader.parse(InputSource)`, ignores the InputSource.
`void` | `parse(String systemId)` Re-implementation of `XMLReader.parse(String)`, ignores the systemId.
`void` | `setContentHandler(ContentHandler handler)`
`void` | `setDTDHandler(DTDHandler handler)`
`void` | `setEntityResolver(EntityResolver resolver)`
`void` | `setErrorHandler(ErrorHandler handler)`
`void` | `setFeature(String name, boolean value)`
`void` | `setProperty(String name, Object value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NodeXMLReader

    public NodeXMLReader(Node rootNode)

  Builds a NodeXMLReader with a Node as a source.

  Parameters:
    `rootNode` - a Node of the XQuery Data Model

Method Detail

### parse

    public void parse(InputSource inputSource)
               throws IOException,
                      SAXException

  Re-implementation of `XMLReader.parse(InputSource)`, ignores the InputSource.

  Specified by:
    `parse` in interface `XMLReader`
  Parameters:
    `inputSource` - ignored
  Throws:
    `IOException`
    `SAXException`

### parse

    public void parse(String systemId)
               throws IOException,
                      SAXException

  Re-implementation of `XMLReader.parse(String)`, ignores the systemId.

  Specified by:
    `parse` in interface `XMLReader`
  Parameters:
    `systemId` - ignored
  Throws:
    `IOException`
    `SAXException`

### getContentHandler

    public ContentHandler getContentHandler()

  Specified by:
    `getContentHandler` in interface `XMLReader`

### setContentHandler

    public void setContentHandler(ContentHandler handler)

  Specified by:
    `setContentHandler` in interface `XMLReader`

### getDTDHandler

    public DTDHandler getDTDHandler()

  Specified by:
    `getDTDHandler` in interface `XMLReader`

### setDTDHandler

    public void setDTDHandler(DTDHandler handler)

  Specified by:
    `setDTDHandler` in interface `XMLReader`

### getEntityResolver

    public EntityResolver getEntityResolver()

  Specified by:
    `getEntityResolver` in interface `XMLReader`

### setEntityResolver

    public void setEntityResolver(EntityResolver resolver)

  Specified by:
    `setEntityResolver` in interface `XMLReader`

### getErrorHandler

    public ErrorHandler getErrorHandler()

  Specified by:
    `getErrorHandler` in interface `XMLReader`

### setErrorHandler

    public void setErrorHandler(ErrorHandler handler)

  Specified by:
    `setErrorHandler` in interface `XMLReader`

### getFeature

    public boolean getFeature(String name)
                       throws SAXNotRecognizedException,
                              SAXNotSupportedException

  Specified by:
    `getFeature` in interface `XMLReader`
  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`

### setFeature

    public void setFeature(String name,
                           boolean value)
                    throws SAXNotRecognizedException,
                           SAXNotSupportedException

  Specified by:
    `setFeature` in interface `XMLReader`
  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`

### getProperty

    public Object getProperty(String name)
                       throws SAXNotRecognizedException,
                              SAXNotSupportedException

  Specified by:
    `getProperty` in interface `XMLReader`
  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`

### setProperty

    public void setProperty(String name,
                            Object value)
                     throws SAXNotRecognizedException,
                            SAXNotSupportedException

  Specified by:
    `setProperty` in interface `XMLReader`
  Throws:
    `SAXNotRecognizedException`
    `SAXNotSupportedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| © 2010 Axyana Software
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD